org.springframework.web.servlet.view.tiles3

## Class SimpleSpringPreparerFactory

- java.lang.Object
- - org.springframework.web.servlet.view.tiles3.AbstractSpringPreparerFactory
  - - org.springframework.web.servlet.view.tiles3.SimpleSpringPreparerFactory

All Implemented Interfaces:
  PreparerFactory

    public class SimpleSpringPreparerFactory
    extends AbstractSpringPreparerFactory

Tiles3 `PreparerFactory` implementation that expects preparer class names and builds preparer instances for those, creating them through the Spring ApplicationContext in order to apply Spring container callbacks and configured Spring BeanPostProcessors.

Since:
  3.2
Author:
  Juergen Hoeller
See Also:
  `SpringBeanPreparerFactory`

### Constructor Summary

Constructors
Constructor and Description
`SimpleSpringPreparerFactory()`

### Method Summary

Methods
`protected ViewPreparer` `getPreparer(String name, WebApplicationContext context)` Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

### Methods inherited from class org.springframework.web.servlet.view.tiles3.AbstractSpringPreparerFactory

`getPreparer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleSpringPreparerFactory

    public SimpleSpringPreparerFactory()

### Method Detail

#### getPreparer

    protected ViewPreparer getPreparer(String name,
                           WebApplicationContext context)
                                throws TilesException

Description copied from class: `AbstractSpringPreparerFactory`
Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

Specified by:
  `getPreparer` in class `AbstractSpringPreparerFactory`
Parameters:
  `name` - the name of the preparer
  `context` - the current Spring WebApplicationContext
Returns:
  the preparer instance
Throws:
  `TilesException` - in case of failure